{ pkgs, config, ... }: {
  programs.neovim = {
    enable = true;
    package = pkgs.neovim-unwrapped;
    defaultEditor = true;
    extraPackages = with pkgs; [
      nil
    ];
    plugins = with pkgs.vimPlugins; [
       lazy-nvim
       nvim-lspconfig
       nvim-tree-lua
    ];
  };
}

